Bug 1656965 - Wacom tablet stops working when fwupd runs
Summary: Wacom tablet stops working when fwupd runs
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fwupd
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 1656516 1656966 1656968
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-06 18:25 UTC by Jason Gerecke
Modified: 2019-02-09 01:51 UTC (History)
2 users (show)

(edit)
Clone Of: 1656516
(edit)
Last Closed: 2019-02-09 01:51:16 UTC


Attachments (Terms of Use)

Description Jason Gerecke 2018-12-06 18:25:40 UTC
+++ This bug was initially created as a clone of Bug #1656516 +++

Certain Wacom tablets appear to be incompatible with fwupd and stop working as soon as the fwupd service starts. Because the fwupd service starts a few seconds after the desktop loads on my test machine, the tablet initially appears to work after a reboot but then "disappears" (no longer listed in xsetwacom) after perhaps 30 seconds. In addition to the tablet disappearing, the following message is logged: failed to add USB device <VID>:<PID>: Failed to get feature report: endpoint stalled or request not supported.

More details in the upstream bug report: https://github.com/hughsie/fwupd/issues/882

Fedora 28 ships version 1.0.9 which is affected.

Comment 1 Fedora Update System 2019-01-23 12:21:46 UTC
fwupd-1.2.3-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8ae6a68d7b

Comment 2 Fedora Update System 2019-01-24 04:37:07 UTC
fwupd-1.2.3-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8ae6a68d7b

Comment 3 Fedora Update System 2019-02-09 01:51:16 UTC
fwupd-1.2.3-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.